Subject: Re: bug#7489: [coreutils] over aggressive threads in sort

From: Pádraig Brady <[email-masked]>
Date: Mon, 29 Nov 2010 11:29:20 +0000

On 29/11/10 07:14, DJ Lucas wrote:
> On 11/27/2010 08:18 PM, DJ Lucas wrote:
> 
>>
>> lfs [ /lfs-source-archive/coreutils-8.7-new/src ]$ cat
>> /lfs-source-archive/cracklib-words-20080507 | sort -u > /dev/null; echo $?
>> 0
>> lfs [ /lfs-source-archive/coreutils-8.7-new/src ]$
>>
>> Appears to work as expected.  Thanks for jumping on this so quickly.
>>
> 
> Okay, so that fixes the segfault for both the original example from the
> RedHat bug, and the example I submitted. However, CPU is still showing
> 100% utilization in the original test (from RedHat bz), and the test
> that, I believe (not sure of the quoting), was submitted by PÃdraig
> Brady still fails. I don't have a link to the original (maybe private
> message), but it is quoted here:
> http://lists.gnu.org/archive/html/coreutils/2010-11/msg00124.html. I ran
> only the quoted test. Unrelated bug? (again, not entirely sure of the
> context)

There was a suggested workaround for test here:
https://bugzilla.redhat.com/show_bug.cgi?id=655096#c5
I've no time to try that at present though.

sorry,
Pádraig.